Bug 192417 - Review Request: Wcl - Widget Creation Library
Review Request: Wcl - Widget Creation Library
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thorsten Leemhuis (ignored mailbox)
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-19 11:51 EDT by Patrice Dumas
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-25 05:47:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2006-05-19 11:51:01 EDT
SRPM URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/Wcl-2.7.3-1.src.rpm
Description: 

Wcl is completely widget set independent.  It provides mechanisms to
allow an entire user interface to be specified in resource files.
Basically, this amounts to providing new resources for specifying the
types of the widgets and the widget heirarchy.  In addition, Wcl
provides several callbacks and action functions which many programs
need.

The distribution contains files which make up the Widget Creation
Library, and resource interpreters and utility libraries (which include
Table widgets) for each of the following widget sets: Athena and Motif.
Comment 1 Patrice Dumas 2006-05-19 11:56:19 EDT
I modified the source quite a lot, to try to give better names to libraries:
WcXp instead of Xp and WcListTree instead of Misc.

I haven't really tested that the libraries are functionning.
Comment 2 Till Maas 2006-08-24 17:02:46 EDT
The URL to the spec file is missing.
Comment 3 Patrice Dumas 2006-08-24 17:37:53 EDT
I am not convinced that this package is interesting 
enough. I have posted a spec file anyway:

http://www.environnement.ens.fr/perso/dumas/fc-srpms/Wcl.spec

Are you really interested in that package being in
extras? Xbae depends on it, but only to build an example,
so maybe it should better be closed.
Comment 4 Till Maas 2006-08-24 18:11:47 EDT
I just looked into old review requests to push them forward, so go ahead and
close it.
Comment 5 Patrice Dumas 2006-08-25 05:47:19 EDT
Closing for lack of submitter interest, and certainly lack
of reviewer interest. I could reopen it if somebody is interested
in reviewing it and having it in extras.

Note You need to log in before you can comment on or make changes to this bug.